com.smartgwt.client.types

## Enum ReadOnlyDisplayAppearance

- java.lang.Object
- - java.lang.Enum<ReadOnlyDisplayAppearance>
  - - com.smartgwt.client.types.ReadOnlyDisplayAppearance

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ReadOnlyDisplayAppearance>

      public enum ReadOnlyDisplayAppearance
      extends java.lang.Enum<ReadOnlyDisplayAppearance>
      implements ValueEnum

  Dictates the appearance of form items when `FormItem.canEdit` is set to `false`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` Item will appear disabled.
    `READONLY` Item should appear unchanged, but user interaction to edit the item will be disallowed.
    `STATIC` Item value should appear within the form as a static block of text, similar to the default appearance of a `StaticTextItem`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ReadOnlyDisplayAppearance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReadOnlyDisplayAppearance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final ReadOnlyDisplayAppearance STATIC

      Item value should appear within the form as a static block of text, similar to the default appearance of a `StaticTextItem`. This appearance may be modified via `FormItem.readOnlyTextBoxStyle` and `FormItem.clipStaticValue`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "static".

    - #### READONLY

          public static final ReadOnlyDisplayAppearance READONLY

      Item should appear unchanged, but user interaction to edit the item will be disallowed. Note that some interactions will be allowed, such as selecting text within a read-only `TextItem` for copy and paste. Exact implementation may vary by form item type.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "readonly".

    - #### DISABLED

          public static final ReadOnlyDisplayAppearance DISABLED

      Item will appear disabled.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disabled".

  - ### Method Detail

    - #### values

          public static ReadOnlyDisplayAppearance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadOnlyDisplayAppearance c : ReadOnlyDisplayAppearance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadOnlyDisplayAppearance valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`